Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class AttachmentInfo

    java.lang.Object
      portlets.compoze.groupware.AttachmentInfo

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  EmbeddedMessageAttachmentInfo

public class AttachmentInfo
extends java.lang.Object
implements java.io.Serializable

This class represents attachment information.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `AttachmentInfo.Type` This class represents the attachment type.

Constructor Summary
`protected` | `AttachmentInfo(AttachmentInfo.Type type, java.lang.String sMessageID, int iIndex, java.lang.String sName, int iSize)` Constructor.
`protected` | `AttachmentInfo(AttachmentInfo.Type type, java.lang.String sMessageID, int iIndex, java.lang.String sName, int iSize, java.lang.String sAttachmentID)` Constructor.
`` | `AttachmentInfo(java.lang.String sMessageID, int iIndex, java.lang.String sName, int iSize)` Constructor.
`` | `AttachmentInfo(java.lang.String sMessageID, int iIndex, java.lang.String sName, int iSize, java.lang.String sAttachmentID)` Constructor.

Method Summary
`java.lang.String` | `getAttachmentID()` Gets the attachment ID.
`int` | `getIndex()` Gets the attachment index.
`java.lang.String` | `getMessageID()` Gets the attachment message ID.
`java.lang.String` | `getName()` Gets the attachment name.
`int` | `getSize()` Gets the size of the attachment (in bytes).
`int` | `getSizeinKiloBytes()` Gets the size of the attachment (in kilobytes).
`AttachmentInfo.Type` | `getType()` Gets the attachment type.
`java.lang.String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttachmentInfo

    protected AttachmentInfo(AttachmentInfo.Type type,
                             java.lang.String sMessageID,
                             int iIndex,
                             java.lang.String sName,
                             int iSize)

  Constructor.

Parameters:
  `type` - the attachment type (may not be `null`)
  `sMessageID` - the message ID
  `iIndex` - the attachment index
  `sName` - the attachment name
  `iSize` - the size (in bytes)

### AttachmentInfo

    protected AttachmentInfo(AttachmentInfo.Type type,
                             java.lang.String sMessageID,
                             int iIndex,
                             java.lang.String sName,
                             int iSize,
                             java.lang.String sAttachmentID)

  Constructor.

Parameters:
  `type` - the attachment type (may not be `null`)
  `sMessageID` - the message ID
  `iIndex` - the attachment index
  `sName` - the attachment name
  `iSize` - the size (in bytes)
  `sAttachmentID` - the attachment ID

### AttachmentInfo

    public AttachmentInfo(java.lang.String sMessageID,
                          int iIndex,
                          java.lang.String sName,
                          int iSize)

  Constructor.

Parameters:
  `sMessageID` - the message ID
  `iIndex` - the attachment index
  `sName` - the attachment name
  `iSize` - the size (in bytes)

### AttachmentInfo

    public AttachmentInfo(java.lang.String sMessageID,
                          int iIndex,
                          java.lang.String sName,
                          int iSize,
                          java.lang.String sAttachmentID)

  Constructor.

Parameters:
  `sMessageID` - the message ID
  `iIndex` - the attachment index
  `sName` - the attachment name
  `iSize` - the size (in bytes)
  `sAttachmentID` - the attachment ID

Method Detail

### getType

    public AttachmentInfo.Type getType()

  Gets the attachment type.

  Returns:
    the attachment type

### getName

    public java.lang.String getName()

  Gets the attachment name.

  Returns:
    the attachment name

### getMessageID

    public java.lang.String getMessageID()

  Gets the attachment message ID.

  Returns:
    the attachment message ID

### getIndex

    public int getIndex()

  Gets the attachment index.

  Returns:
    the attachment index

### getSize

    public int getSize()

  Gets the size of the attachment (in bytes).

  Returns:
    the size of the attachment (in bytes)

### getAttachmentID

    public java.lang.String getAttachmentID()

  Gets the attachment ID.

  Returns:
    the attachment ID

### getSizeinKiloBytes

    public int getSizeinKiloBytes()

  Gets the size of the attachment (in kilobytes).

  Returns:
    the size of the attachment (in kilobytes)

### toString

    public java.lang.String toString()

  Returns the string representation of this object.

  Returns:
    the string representation of this object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.